%define section free

Summary:        XSL-driven print formatter
Name:           fop
Version:        0.20.5
Release:        1jpp
Epoch:          0
License:        Apache Software License
Group:          Text Processing/Markup/XML
Source0:        http://www.apache.org/dist/xml/fop/fop-0.20.5-src.tar.gz
Source1:        %{name}.script
Patch0:         %{name}-javadoc-crosslink.patch
URL:            http://xml.apache.org/fop/
Requires:       avalon-logkit, batik >= 0:1.5, jpackage-utils >= 0:1.5
BuildRequires:  ant, jpackage-utils >= 0:1.5, xalan-j2 >= 0:2.4.1, batik, jce
BuildRequires:  avalon-logkit, xml-commons-apis-javadoc, batik-javadoc, jimi
BuildRequires:  jai
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
# remove all binary libs
find lib -name "*.jar" -exec rm {} \;

# -----------------------------------------------------------------------------

%build
export CLASSPATH=$(build-classpath xml-commons-apis xalan-j2 avalon-framework \
avalon-logkit batik/awt-util batik/bridge batik/css batik/dom batik/ext \
batik/gvt batik/parser batik/transcoder batik/util batik/svg-dom batik/swing \
ant jimi jce jai)

ant \
  -Dbuild.compiler=modern \
  -Djaxp.javadoc=%{_javadocdir}/xml-commons-apis \
  -Dbatik.javadoc=%{_javadocdir}/batik \
  package javadocs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/fop

# data
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr src/hyph $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr conf $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE README ReleaseNotes.html STATUS
%attr(0755,root,root) %{_bindir}/fop
%{_javadir}/%{name}*.jar
%{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Sat Jul 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.20.5-1jpp
- Update to 0.20.5.
- Crosslink with xml-commons-apis and batik javadocs.
- BuildRequires jai, jce and jimi.

* Sat Jun  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.20.5-0.rc3a.1jpp
- Update to 0.20.5rc3a.
- Include fop script.
- Non-versioned javadoc symlinks.

* Thu Apr 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.20.5-0.rc2.1jpp
- Update to 0.20.5rc2 and JPackage 1.5.

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-1jpp
- 0.20.3 final
- fixed missing symlink

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.3-0.rc.1jpp
- 0.20.3rc
- first unified release
- javadoc into javadoc package
- no dependencies for manual package
- s/jPackage/JPackage
- adaptation to new xalan-j2 package
- requires and buildrequires avalon-logkit

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.20.1-1mdk
- first release
